<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="es">
<?php
$connect = mysqli_connect("127.0.0.1", "root", "", "formacion");

/* Comprobación de la conexión */
if (!$connect) {
    echo "Error de la conexión: ".mysqli_connect_error();
    exit();
}

?>
<head>
	<title>Ejercicio formación</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-85" />
	
</head>

<body>

<h2>Borrado de datos de becario</h2><br />
<form action="borrado_becario.php" method="POST">
<table border="1">
<tr>
  <th width="100px">Nombre</th> <th width="100px">Apellidos</th> <th width="100px">Nacionalidad</th> <th width="100px">Tipo de formación</th> <th width="300px">Formador - Sala - Fecha de incio - Date fin</th><th width="50px">Borrar</th>
</tr>  
	<?php
	$requete = "SELECT *,nacionalidad.etiqueta as Lib_nacionalidad,tipo_formacion.etiqueta as Lib_tipo_formacion, becario.Id as Id_becario FROM (becario".
				" INNER JOIN nacionalidad on becario.Id_nacionalidad = nacionalidad.Id_nacionalidad)".
				" INNER JOIN tipo_formacion on becario.Id_tipo_formacion = tipo_formacion.Id_tipo_formacion".
				" order by Nombre";

	if ($resultado = mysqli_query($connect,$consulta)) {
		date_default_timezone_set('Europe/Paris');
		/* fetch la tabla asociativa */
		while ($registro = mysqli_fetch_assoc($resultado)) {
			echo "<tr>";
			echo "<td>".$registro['Nombre']."</td>";
			echo "<td>".$registro['Apellidos']."</td>";
			echo "<td>".$registro['Etiq_nacionalidad']."</td>";
			echo "<td>".$registro['Etiq_tipo_formacion']."</td>";
			echo "<td>";
			$consulta_formador = "SELECT * FROM becario_formador INNER JOIN formador on becario_formador.Id_formador = formador.Id_formador INNER JOIN sala on formador.Id_sala = sala.Id_sala where becario_formador.Id_becario = ".$registro['Id'];
			if ($resultado_formador = mysqli_query($connect,$consulta_formador)) {
				/* fetch la tabla asociativa */
				while ($registro_formador = mysqli_fetch_assoc($resultado_formador)) {
					$dt_inicio = date_create_from_format('Y-m-d', $registro_formador['Fecha_inicio']);
					$dt_fin = date_create_from_format('Y-m-d', $registro_formador['Fecha_fin']);
					echo $registro_formador['Nombre']." - ".$registro_formador['etiqueta']." - ".$dt_inicio->format('d/m/Y')." - ".$dt_fin->format('d/m/Y')."<br />";
				}
			}
			echo "&nbsp;</td>";
			echo "<td><input type='checkbox' name='borrado[]' value='".$registro['Id_becario']."' /></td>";
			echo "</tr>";
		}	
	}

	/* Cierre de la conexión */
	mysqli_close($connect);

	?>
</table>
<br />
<input type="submit" name="borrar" value="borrar" />
</form>
<br />
<a href="formacion.php">Añadir un becario</a> <a href="lista_becario_a_modificar.php">Modificar un becario</a>

</body>
</html>